# Proprietary program - no debug info
%define debug_package %{nil}

Name:		mccgdi
Version:	2.0.7
Release:	2
Group:		System/Printing
Summary:	Panasonic Multi-Function Station Printer
License:	Proprietary
URL:		http://panasonic.net/pcc/support/fax/common/table/linuxdriver.html
Source0:	%{name}-%{version}-i686.tar.gz
Source1:	%{name}-%{version}-x86_64.tar.gz
Patch0:		mccgdi-2.0.7-i686-destdir.patch
Patch1:		mccgdi-2.0.7-x86_64-destdir.patch
Requires:	cups
Requires:	cups-filters
BuildRequires:	cups
BuildRequires:	cups-filters

%description
Panasonic Multi-Function Station Printer

%prep
# % setup -qTc
%ifarch %{ix86}
%setup -b0 -n %{name}-%{version}-i686
%patch0 -p1
%else
%setup -b1 -n %{name}-%{version}-x86_64
%patch1 -p1
%endif

%build

%install
mkdir -p %{buildroot}%{_libdir}/cups/filter
mkdir -p %{buildroot}/usr/lib

DESTDIR=%{buildroot} ./install-driver

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/usr/lib/* %{buildroot}%{_libdir}/
rmdir %{buildroot}/usr/lib
%endif


%files
%{_libdir}/cups/filter/*
%{_libdir}/*so*
%{_datadir}/panasonic/printer
%{_datadir}/cups/model/panasonic
%{_datadir}/applications/*

%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.7-2
- (9e39736) MassBuild#1250: Increase release tag


